{ buildGoModule, fetchFromGitea, lib, ... }:
buildGoModule rec {
  pname = "{{gitea_repo}}";
  version = "{{version}}";

  src = fetchFromGitea {
    domain = "{{gitea_domain}}";
    owner = "{{gitea_user}}";
    repo = "{{gitea_repo}}";
    rev = "v${version}";
    sha256 = lib.fakeSha256;
  };

  vendorSha256 = lib.fakeSha256;

  ldflags = [ "-s" "-w" "-X={{version_package}}.Version=${version}" ];

  meta = with lib; {
    description = "{{description}}";
    homepage = "https://{{gitea_domain}}/{{gitea_user}}/{{gitea_repo}}";
    license = licenses.mit;
  };
}

